<?php echo $this->Html->css("framepress.default.css");?>
<?php echo $this->Html->css("pb.css");?>

<? $advancedTasks = $settings['backup_advanced'];?>


<div class="tab " ><?echo $this->Html->link(__('Dashboard','pressbackup'), array('controller'=>'main', 'function'=>'dashboard'));?></div>
<div class="tab " ><?echo $this->Html->link(__('Service','pressbackup'), array('controller'=>'settings', 'function'=>'configCredentials'));?></div>
<div class="tab tabactive" ><?echo $this->Html->link(__('Settings','pressbackup'), array('controller'=>'settings', 'function'=>'configSettings'));?></div>
<div class="tab " ><?echo $this->Html->link(__('Compatibility','pressbackup'), array('controller'=>'settings', 'function'=>'configCompatibility'));?></div>
<div class="tabclear" >&nbsp;</div>
<div class="tab_subnav"> </div>
<div class="tab_content">

	<form method="post" action="<?php echo $this->Path->router(array('controller'=>'settings', 'function'=>'configSettingsSave'));?>">
		<h3><?php _e('Configuration Settings','pressbackup'); ?></h3>

		<?echo $this->Msg->show('error');?>

		<p><?php _e('Here you can configure Backups properties','pressbackup'); ?><br />
		<?php _e('If you selected a storage service on previous step, you will be able to select schedule range and number of backups to store.','pressbackup'); ?></p>

		<div id="backup_options" class="setingOptionsBox  <?if($advancedTasks['activated']){echo 'disabled';}?>" >
			<h4><?php _e('What do you want to backup?','pressbackup'); ?></h4>
			<ul>
				<li><input type="checkbox" name="data[preferences][type][]" value ="7" <?if (in_array('7', explode(',',$settings['backup']['type']))) {echo 'checked';}?> <?if($advancedTasks['activated']){echo 'disabled';}?>> <?php _e('Database','pressbackup'); ?></li>
				<li><input type="checkbox" name="data[preferences][type][]" value ="5" <?if (in_array('5', explode(',',$settings['backup']['type']))) {echo 'checked';}?> <?if($advancedTasks['activated']){echo 'disabled';}?>> <?php _e('Themes','pressbackup'); ?></li>
				<li><input type="checkbox" name="data[preferences][type][]" value ="3" <?if (in_array('3', explode(',',$settings['backup']['type']))) {echo 'checked';}?> <?if($advancedTasks['activated']){echo 'disabled';}?>> <?php _e('Plugins','pressbackup'); ?></li>
				<li><input type="checkbox" name="data[preferences][type][]" value ="1" <?if (in_array('1', explode(',',$settings['backup']['type']))) {echo 'checked';}?> <?if($advancedTasks['activated']){echo 'disabled';}?>> <?php _e('Uploads','pressbackup'); ?></li>
			</ul>
		</div>

		<div id="backup_times" class="setingOptionsBox <?if($service['id'] == 'none'){echo 'disabled';}?> <?if($advancedTasks['activated']){echo 'disabled';}?>">
			<h4><?php _e('How often do you want to backup?','pressbackup'); ?></h4>
			<ul>
				<li><input type="radio" name="data[preferences][time]" value ="12" <?if ($settings['backup']['time']==12){echo 'checked';}?> <?if($advancedTasks['activated']){echo 'disabled';}?>> <?php _e('Every 12 hours','pressbackup'); ?></li>
				<li><input type="radio" name="data[preferences][time]" value ="24" <?if ($settings['backup']['time']==24){echo 'checked';}?> <?if($advancedTasks['activated']){echo 'disabled';}?>> <?php _e('Daily','pressbackup'); ?></li>
				<li><input type="radio" name="data[preferences][time]" value ="168" <?if ($settings['backup']['time']==168){echo 'checked';}?> <?if($advancedTasks['activated']){echo 'disabled';}?>> <?php _e('Weekly','pressbackup'); ?></li>
				<li><input type="radio" name="data[preferences][time]" value ="720" <?if ($settings['backup']['time']==720){echo 'checked';}?> <?if($advancedTasks['activated']){echo 'disabled';}?>> <?php _e('Monthly','pressbackup'); ?></li>
			</ul>
		</div>

		<div class="setingOptionsBox <?if($service['id'] == 'none'){echo 'disabled';}?>" >
			<h4><?php _e('How many copies do you want to store?','pressbackup'); ?></h4>
			<ul>
				<li><input type="radio" name="data[preferences][copies]" value ="7" <?if ($settings['backup']['copies']==7) {echo 'checked';}?>> <?php _e('All (may get expensive)','pressbackup'); ?></li>
				<li><input type="radio" name="data[preferences][copies]" value ="30" <?if ($settings['backup']['copies']==30) {echo 'checked';}?>> <?php _e('Last 30','pressbackup'); ?></li>
				<li><input type="radio" name="data[preferences][copies]" value ="5" <?if ($settings['backup']['copies']==5) {echo 'checked';}?>> <?php _e('Last 5','pressbackup'); ?></li>
				<li><input type="radio" name="data[preferences][copies]" value ="3" <?if ($settings['backup']['copies']==3) {echo 'checked';}?>> <?php _e('Last 3','pressbackup'); ?></li>
			</ul>
		</div>

		<div class="clear"></div>
		<br/>

		<div <?if($service['id'] == 'none'){echo 'class="disabled"';}?>>
			<input id="check_advanced" type="checkbox" name="data[preferences][backup_advanced][activated]" <?if($advancedTasks['activated']){echo 'checked';}?> /> <?_e('Advanced options','pressbackup')?>
		</div>

		<div class="clear"></div>
		<br/>

		<div id="advanced_options" style="<?if($advancedTasks['activated']){echo 'display:block';}else{echo 'display:none';}?>">
			<table class="widefat" cellspacing="0">
				<tr class="alternate">
					<td class="row-title">&nbsp;</td>
					<td class="row-title"><?_e('Database','pressbackup')?></td>
					<td class="row-title"><?_e('Themes','pressbackup')?></td>
					<td class="row-title"><?_e('Plugins','pressbackup')?></td>
					<td class="row-title"><?_e('Uploads','pressbackup')?></td>
				</tr>
				<tr>
					<th><?_e('Never','pressbackup')?></th>
					<th><input type="radio" name="data[preferences][backup_advanced][db][time]" value ="0" <?if ($advancedTasks['db']['time']==0) { echo 'checked';}?>></th>
					<th><input type="radio" name="data[preferences][backup_advanced][themes][time]" value ="0" <?if ($advancedTasks['themes']['time']==0) { echo 'checked';}?>></th>
					<th><input type="radio" name="data[preferences][backup_advanced][plugins][time]" value ="0" <?if ($advancedTasks['plugins']['time']==0){ echo 'checked';}?>></th>
					<th><input type="radio" name="data[preferences][backup_advanced][uploads][time]" value ="0" <?if ($advancedTasks['uploads']['time']==0){ echo 'checked';}?>></th>
				</tr>
				<tr class="alternate">
					<th><?_e('Every 12 hours','pressbackup')?></th>
					<th><input type="radio" name="data[preferences][backup_advanced][db][time]" value ="12" <?if ($advancedTasks['db']['time']==12) { echo 'checked';}?>></th>
					<th><input type="radio" name="data[preferences][backup_advanced][themes][time]" value ="12" <?if ($advancedTasks['themes']['time']==12) { echo 'checked';}?>></th>
					<th><input type="radio" name="data[preferences][backup_advanced][plugins][time]" value ="12" <?if ($advancedTasks['plugins']['time']==12){ echo 'checked';}?>></th>
					<th><input type="radio" name="data[preferences][backup_advanced][uploads][time]" value ="12" <?if ($advancedTasks['uploads']['time']==12){ echo 'checked';}?>></th>
				</tr>
				<tr>
					<th><?_e('Daily','pressbackup')?></th>
					<th><input type="radio" name="data[preferences][backup_advanced][db][time]" value ="24" <?if ($advancedTasks['db']['time']==24) { echo 'checked';}?>></th>
					<th><input type="radio" name="data[preferences][backup_advanced][themes][time]" value ="24" <?if ($advancedTasks['themes']['time']==24) { echo 'checked';}?>></th>
					<th><input type="radio" name="data[preferences][backup_advanced][plugins][time]" value ="24" <?if ($advancedTasks['plugins']['time']==24){ echo 'checked';}?>></th>
					<th><input type="radio" name="data[preferences][backup_advanced][uploads][time]" value ="24" <?if ($advancedTasks['uploads']['time']==24){ echo 'checked';}?>></th>
				</tr>
				<tr class="alternate">
					<th><?_e('Weekly','pressbackup')?></th>
					<th><input type="radio" name="data[preferences][backup_advanced][db][time]" value ="168" <?if ($advancedTasks['db']['time']==168) { echo 'checked';}?>></th>
					<th><input type="radio" name="data[preferences][backup_advanced][themes][time]" value ="168" <?if ($advancedTasks['themes']['time']==168) { echo 'checked';}?>></th>
					<th><input type="radio" name="data[preferences][backup_advanced][plugins][time]" value ="168" <?if ($advancedTasks['plugins']['time']==168){ echo 'checked';}?>></th>
					<th><input type="radio" name="data[preferences][backup_advanced][uploads][time]" value ="168" <?if ($advancedTasks['uploads']['time']==168){ echo 'checked';}?>></th>
				</tr>
				<tr>
					<th><?_e('Monthly','pressbackup')?></th>
					<th><input type="radio" name="data[preferences][backup_advanced][db][time]" value ="720" <?if ($advancedTasks['db']['time']==720) { echo 'checked';}?>></th>
					<th><input type="radio" name="data[preferences][backup_advanced][themes][time]" value ="720" <?if ($advancedTasks['themes']['time']==720) { echo 'checked';}?>></th>
					<th><input type="radio" name="data[preferences][backup_advanced][plugins][time]" value ="720" <?if ($advancedTasks['plugins']['time']==720){ echo 'checked';}?>></th>
					<th><input type="radio" name="data[preferences][backup_advanced][uploads][time]" value ="720" <?if ($advancedTasks['uploads']['time']==720){ echo 'checked';}?>></th>
				</tr>
			</table>
		</div>

		<div class="clear"></div>
		<br/>
		<hr class="separator"/>

		<input class="button " type="submit" value="<?php _e('Save','pressbackup'); ?>"> <?php _e('or','pressbackup'); ?>
		<?echo $this->Html->link(__('Go back to dashboard','pressbackup'), array('controller'=>'main', 'function'=>'dashboard'), array('class'=>'pb_action2'));?>

	</form>
</div>


<div class="tab_content continue">
</div>

<script type='text/javascript'>
var service = '<?echo $service['id']; ?>';

jQuery("#check_advanced").click(function(){
	if( jQuery(this).attr("checked")){
		jQuery("#backup_options input").attr('disabled',true);
		jQuery("#backup_options").addClass('disabled');

		jQuery("#backup_times input").attr('disabled',true);
		jQuery("#backup_times").addClass('disabled');

		jQuery("#advanced_options").css('display','block');

		//obtain the selected value on basic options
		var selected = jQuery("input[name='data[preferences][time]']:checked").val();

		//set the selected value on advanced options
		jQuery('#advanced_options input[value="'+selected+'"]:radio').each(function(){
			jQuery(this).attr("checked", true);
		});

	}else{
		jQuery("#backup_options input").removeAttr('disabled');
		jQuery("#backup_options").removeClass('disabled')

		jQuery("#backup_times input").removeAttr('disabled');;
		jQuery("#backup_times").removeClass('disabled');

		jQuery("#advanced_options").css('display','none');
	}
});

if (service == 'none') {
	jQuery('.disabled input').attr('disabled', true);
}
</script>
