<?php

/*
	WordPress Framework, activation  v0.1
	developer: Perecedero (Ivan Lansky) perecedero@gmail.com
*/


	function on_activation () {
		global $pressbackup;

		//options
		$settings['configured']=0;

		$settings['backup']['time']=24;
		$settings['backup']['copies']=5;
		$settings['backup']['type']='0';

		$settings['backup_advanced']['activated'] = false;
		$settings['backup_advanced']['db']= array('time' => null, 'last_date' => null);
		$settings['backup_advanced']['plugins']= array('time' => null, 'last_date' => null);
		$settings['backup_advanced']['themes']= array('time' => null, 'last_date' => null);
		$settings['backup_advanced']['uploads']= array('time' => null, 'last_date' => null);

		$settings['Service']['s3']['credential']='';
		$settings['Service']['s3']['bucket_name'] = '';
		$settings['Service']['s3']['region']=false;
		$settings['Service']['pressbackuppro']['credential']='';
		$settings['Service']['pressexpress']['credential']='';
		$settings['Service']['dropbox']['credential'] = '';
		$settings['Service']['local']['path']='';

		$settings['compatibility']['background']=10;
		$settings['compatibility']['zip'] = 10;

		update_option('pressbackup.preferences',$settings);

		update_option('pressbackup.wizard.cronTaskStatus', 'success');//'no checked');
		update_option('pressbackup.firstRun', true);

		$pressbackup->import('ServicePressbackup.php');
		$pbsrv = new ServicePressbackupPBLib();
		$pbsrv->pingInstalled();
	}

	function on_deactivation () {
		global $pressbackup;

		$pressbackup->import('Scheduler.php');
		$sch = new SchedulerPBLib();

		$sch->remove('all');

		delete_option('pressbackup.preferences');
		delete_option('pressbackup.wizard.cronTaskStatus');
		delete_option('pressbackup.firstRun');
	}


?>
