jQuery(".pb_loading_img").click(function(){ 
	jQuery('#contact_info').hide("fast");
	jQuery('#pressbackup_loading_img').show("fast");
});

jQuery(".pb_delete").click(function(){
	if (confirm(delete_confirm)){
		jQuery('#contact_info').hide("fast"); 
		jQuery('#pressbackup_loading_img_status').html(delete_status);
		jQuery('#pressbackup_loading_img').show("fast");
		return true;
	}
	return false;
});

jQuery(".pb_restore").click(function(){
	if (confirm(restore_confirm)){
		jQuery('#contact_info').hide("fast");
		jQuery('#pressbackup_loading_img_status').html(restore_status);
		jQuery('#pressbackup_loading_img').show("fast");
		return true;
	}
	return false;
});

jQuery( "#backup_options").dialog({
	resizable: false,
	autoOpen: false,
	height:240,
	width: 300,
	modal: true
});

jQuery(".press_backup_cancel").click(function(){
	jQuery("#backup_options").dialog( "close" );
	return false;
});


jQuery("#press_send_backup, #press_download_backup").live('click', function(){

	if( jQuery(this).hasClass('disabled') ){ return false;}

	//hide both submit buttons and show the correct one
	jQuery('.pb_nowoption').hide();
	if( jQuery(this).attr('id') == 'press_send_backup') {
		jQuery('#press_send_backup_ok').show();
	}else{
		jQuery('#press_download_backup_ok').show();
	}

	//set values
	jQuery.each(backup_types,function(key,val){
		jQuery("#backup_options input[value='"+val+"']").attr('checked',true);
	});

	//hide previous error messages and open dialog
	jQuery("#backup_options .msgbox").hide();
	jQuery( "#backup_options").dialog( "open" );

	return false;
});

jQuery("#press_send_backup_ok, #press_download_backup_ok").click(function(){
	var msgHeight,
	i=0, args = [],
	msgDisplay = jQuery("#backup_options .msgbox").css('display');

	jQuery('#backup_options input[name="data[preferences][type][]"]:checked').each(function(){
		args[i]= jQuery(this).val(); i++
	});
	args = args.join(',');

	if(args == "" && msgDisplay == 'none'){
		jQuery("#backup_options .msgbox").show();
		msgHeight = parseInt(jQuery("#backup_options .msgbox").css('height')) + 15;
		jQuery("#backup_options" ).animate({height:'+=' + msgHeight + 'px' });
		return false;
	} else if(args == "") {
		return false;
	}

	jQuery( this ).attr('href',jQuery( this ).attr('href')+'&fargs[]='+args);
});
