<?php echo $this->Html->css("framepress.default.css");?>
<?php echo $this->Html->css("pb.css");?>

<div class="tab" ><?php _e('Welcome','pressbackup'); ?></div>
<div class="tab" ><?php _e('Step 1','pressbackup'); ?></div>
<div class="tab tabactive" ><?php _e('Step 2','pressbackup'); ?></div>
<div class="tabclear"  >&nbsp;</div>
<div class="tab_subnav">
</div>
<div class="tab_content">
	<form method="post" action="<?php echo $this->Path->router(array('controller'=>'settings', 'function'=>'configStep2Save'));?>">
		<h3><?php _e('Configuration Wizard: Backup settings','pressbackup'); ?></h3>

		<?echo $this->Msg->show('error');?>

		<br/>

		<p><?php _e('In this step you can configure Backups properties','pressbackup'); ?><br />
		<?php _e('If you selected a storage service on previous step, you will be able to select schedule range and number of backups to store.','pressbackup'); ?></p>

		<div id="backup_options" class="setingOptionsBox" >
			<h4><?php _e('What do you want to backup?','pressbackup'); ?></h4>
			<ul>
				<li><input type="checkbox" name="data[preferences][type][]" value ="7" checked > <?php _e('Database','pressbackup'); ?></li>
				<li><input type="checkbox" name="data[preferences][type][]" value ="5" checked > <?php _e('Themes','pressbackup'); ?></li>
				<li><input type="checkbox" name="data[preferences][type][]" value ="3" checked > <?php _e('Plugins','pressbackup'); ?></li>
				<li><input type="checkbox" name="data[preferences][type][]" value ="1" checked > <?php _e('Uploads','pressbackup'); ?></li>
			</ul>
		</div>

		<div id="backup_times" class="setingOptionsBox <?if($service['id'] == 'none'){?>disabled<?}?>">
			<h4><?php _e('How often do you want to backup?','pressbackup'); ?></h4>
			<ul>
				<li><input type="radio" name="data[preferences][time]" value ="12" > <?php _e('Every 12 hours','pressbackup'); ?></li>
				<li><input type="radio" name="data[preferences][time]" value ="24" checked > <?php _e('Daily','pressbackup'); ?></li>
				<li><input type="radio" name="data[preferences][time]" value ="168" > <?php _e('Weekly','pressbackup'); ?></li>
				<li><input type="radio" name="data[preferences][time]" value ="720" > <?php _e('Monthly','pressbackup'); ?></li>
			</ul>
		</div>

		<div class="setingOptionsBox <?if($service['id'] == 'none'){?>disabled<?}?>" >
			<h4><?php _e('How many copies do you want to store?','pressbackup'); ?></h4>
			<ul>
				<li><input type="radio" name="data[preferences][copies]" value ="7"> <?php _e('All (may get expensive)','pressbackup'); ?></li>
				<li><input type="radio" name="data[preferences][copies]" value ="30"> <?php _e('Last 30','pressbackup'); ?></li>
				<li><input type="radio" name="data[preferences][copies]" value ="5" checked> <?php _e('Last 5','pressbackup'); ?></li>
				<li><input type="radio" name="data[preferences][copies]" value ="3" > <?php _e('Last 3','pressbackup'); ?></li>
			</ul>
		</div>

		<div class="clear"></div>
		<br/>
			<div <?if($service['id'] == 'none'){echo 'class="disabled"';}?>>
				<input id="check_advanced" type="checkbox" name="data[preferences][backup_advanced][activated]" /> <?_e('Advanced options','pressbackup')?>
			</div>
		<div class="clear"></div>
		<br/>

		<div id="advanced_options" style="display:none">
			<table class="widefat" cellspacing="1">
				<tr class="alternate">
					<td class="row-title">&nbsp;</td>
					<td class="row-title"><?_e('Database','pressbackup')?></td>
					<td class="row-title"><?_e('Themes','pressbackup')?></td>
					<td class="row-title"><?_e('Plugins','pressbackup')?></td>
					<td class="row-title"><?_e('Uploads','pressbackup')?></td>
				</tr>
				<tr>
					<th><?_e('Never','pressbackup')?></th>
					<th><input type="radio" name="data[preferences][backup_advanced][db][time]" value ="0" checked></th>
					<th><input type="radio" name="data[preferences][backup_advanced][themes][time]" value ="0" checked></th>
					<th><input type="radio" name="data[preferences][backup_advanced][plugins][time]" value ="0" checked></th>
					<th><input type="radio" name="data[preferences][backup_advanced][uploads][time]" value ="0" checked></th>
				</tr>
				<tr class="alternate">
					<th><?_e('Every 12 hours','pressbackup')?></th>
					<th><input type="radio" name="data[preferences][backup_advanced][db][time]" value ="12"></th>
					<th><input type="radio" name="data[preferences][backup_advanced][themes][time]" value ="12"></th>
					<th><input type="radio" name="data[preferences][backup_advanced][plugins][time]" value ="12"></th>
					<th><input type="radio" name="data[preferences][backup_advanced][uploads][time]" value ="12"></th>
				</tr>
				<tr>
					<th><?_e('Daily','pressbackup')?></th>
					<th><input type="radio" name="data[preferences][backup_advanced][db][time]" value ="24" ></th>
					<th><input type="radio" name="data[preferences][backup_advanced][themes][time]" value ="24" ></th>
					<th><input type="radio" name="data[preferences][backup_advanced][plugins][time]" value ="24" ></th>
					<th><input type="radio" name="data[preferences][backup_advanced][uploads][time]" value ="24" ></th>
				</tr>
				<tr class="alternate">
					<th><?_e('Weekly','pressbackup')?></th>
					<th><input type="radio" name="data[preferences][backup_advanced][db][time]" value ="168"></th>
					<th><input type="radio" name="data[preferences][backup_advanced][themes][time]" value ="168"></th>
					<th><input type="radio" name="data[preferences][backup_advanced][plugins][time]" value ="168"></th>
					<th><input type="radio" name="data[preferences][backup_advanced][uploads][time]" value ="168"></th>
				</tr>
				<tr>
					<th><?_e('Monthly','pressbackup')?></th>
					<th><input type="radio" name="data[preferences][backup_advanced][db][time]" value ="720"></th>
					<th><input type="radio" name="data[preferences][backup_advanced][themes][time]" value ="720"></th>
					<th><input type="radio" name="data[preferences][backup_advanced][plugins][time]" value ="720"></th>
					<th><input type="radio" name="data[preferences][backup_advanced][uploads][time]" value ="720"></th>
				</tr>
			</table>
		</div>

		<div class="clear"></div>
		<br/>
		<hr class="separator"/>

		<?echo $this->Html->link(__('Back','pressbackup'), array('controller'=>'settings', 'function'=>'configStep1'), array('class'=>'button'));?>
		<input class="button" type="submit" value="<?php _e('Finish','pressbackup'); ?>">
	</form>
</div>

<div class="tab_content continue">

</div>

<script type='text/javascript'>
	var service = '<?echo $service['id']; ?>';

	jQuery("#check_advanced").click(function(){
		if( jQuery(this).attr("checked")){
			jQuery("#backup_options input").attr('disabled',true);
			jQuery("#backup_options").addClass('disabled');

			jQuery("#backup_times input").attr('disabled',true);
			jQuery("#backup_times").addClass('disabled');

			jQuery("#advanced_options").css('display','block');

			//obtain the selected value on basic options
			var selected = jQuery("input[name='data[preferences][time]']:checked").val();

			//set the selected value on advanced options
			jQuery('#advanced_options input[value="'+selected+'"]:radio').each(function(){
				jQuery(this).attr("checked", true);
			});
		}else{
			jQuery("#backup_options input").removeAttr('disabled');
			jQuery("#backup_options").removeClass('disabled')

			jQuery("#backup_times input").removeAttr('disabled');;
			jQuery("#backup_times").removeClass('disabled');

			jQuery("#advanced_options").css('display','none');
		}
	});

	if (service == 'none') {
		jQuery('.disabled input').attr('disabled', true);
	}

</script>
